Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.xca

# Class FBXAException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.transaction.xa.XAException
org.firebirdsql.jaybird.xca.FBXAException

All Implemented Interfaces:
  `Serializable`

public class FBXAException extends XAException
Convenience exception that adds constructor taking message and error code together.

Author:
  Roman Rokytskyy
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.transaction.xa.XAException

  `errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FBXAException(int errorCode)`
  Create a new instance of `FBXAException` based around a specific error code.
  `FBXAException(int errorCode, Exception reason)`
  Create a new instance of `FBXAException` wrapped around an underlying exception.
  `FBXAException(String msg)`
  Create a new instance of `FBXAException` with a given message.
  `FBXAException(String msg, int errorCode)`
  Create a new instance of `FBXAException` based around a message and specific error code.
  `FBXAException(String msg, int errorCode, Exception reason)`
  Create a new instance of `FBXAException` based around a message and with an underlying exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  Get message of this exception.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FBXAException

    public FBXAException(String msg)
    Create a new instance of `FBXAException` with a given message.
    Parameters:
      `msg` - string message for this exception

  - ### FBXAException

    public FBXAException(int errorCode)
    Create a new instance of `FBXAException` based around a specific error code.
    Parameters:
      `errorCode` - error code for this exception

  - ### FBXAException

    public FBXAException(String msg, int errorCode)
    Create a new instance of `FBXAException` based around a message and specific error code.
    Parameters:
      `msg` - string message for this exception
      `errorCode` - error code for this exception

  - ### FBXAException

    public FBXAException(int errorCode, Exception reason)
    Create a new instance of `FBXAException` wrapped around an underlying exception.
    Parameters:
      `errorCode` - error code for this exception
      `reason` - underlying exception

  - ### FBXAException

    public FBXAException(String msg, int errorCode, Exception reason)
    Create a new instance of `FBXAException` based around a message and with an underlying exception.
    Parameters:
      `msg` - string message for this exception
      `errorCode` - error code for this exception
      `reason` - underlying exception

- ## Method Details

  - ### getMessage

    public String getMessage()
    Get message of this exception.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      combined message of this exception and original exception.